Page MenuHomePhabricator

RESTbase deployment
Closed, ResolvedPublic

Description

Goal: Deploy on production hardware as soon as that's ready. Then, tackle T89481.

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
GWicke updated the task description. (Show Details)Dec 8 2014, 5:05 AM
Jdouglas updated the task description. (Show Details)Dec 8 2014, 5:32 PM
Joe mentioned this in Unknown Object (Diffusion Commit).Dec 10 2014, 8:37 PM
GWicke updated the task description. (Show Details)Dec 16 2014, 11:34 PM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Dec 16 2014, 11:37 PM
GWicke updated the task description. (Show Details)Dec 19 2014, 7:28 PM
GWicke updated the task description. (Show Details)Jan 23 2015, 9:37 PM
GWicke updated the task description. (Show Details)
mobrovac updated the task description. (Show Details)Jan 23 2015, 11:00 PM
GWicke updated the task description. (Show Details)Jan 24 2015, 10:23 PM
GWicke updated the task description. (Show Details)Jan 24 2015, 11:14 PM
GWicke updated the task description. (Show Details)
ori renamed this task from Restbase deployment to RESTbase deployment.Jan 29 2015, 10:00 PM
greg added a subscriber: greg.Jan 30 2015, 6:43 PM

Hi Gabriel -- do you have a target date for this? 2/15 is Sunday; can we discuss a better day?

thanks,

-Toby

GWicke added a subscriber: RobH.EditedJan 30 2015, 7:15 PM

@Tnegrin, we are mostly at the mercy of ops on this (T76986 and T78194). The hardware should be arriving around now, just pinged @RobH about the current status on T76986. The exact date is really ASAP.

Kelson added a subscriber: Kelson.Feb 1 2015, 5:23 PM
GWicke updated the task description. (Show Details)Feb 5 2015, 1:49 AM
GWicke updated the task description. (Show Details)Feb 5 2015, 4:23 AM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Feb 5 2015, 4:26 AM
GWicke updated the task description. (Show Details)Feb 5 2015, 11:14 PM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Feb 11 2015, 6:42 PM

Some notes from the Services-Ops meeting available on this etherpad

mobrovac updated the task description. (Show Details)Feb 13 2015, 11:53 AM
GWicke updated the task description. (Show Details)Feb 13 2015, 6:28 PM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)
Elitre added a subscriber: Elitre.Feb 13 2015, 6:43 PM
mobrovac updated the task description. (Show Details)Feb 14 2015, 6:15 PM
GWicke updated the task description. (Show Details)Feb 14 2015, 10:01 PM

We received access to the cluster today, and got three nodes up and running. One node is out of rotation to investigate a hardware issue with one of the SSDs (T89639), and two others are waiting for memcached servers to move around, so that they can be placed in the correct row for failure isolation.

Early benchmarks are looking promising. A simple static end point without db access yields about 30k req/s, while an average HTML page (https://en.wikipedia.org/wiki/Foobar) can be served gzipped about 7k times/s before the client saturates its gbit network.

Since none of the remaining issues are blocking the deploy and testing any more, I'm resolving this ticket & move those issues over to the prod release. ETA for that is next week.

GWicke closed this task as Resolved.Feb 20 2015, 2:40 AM
Milimetric moved this task from In progress to Done on the Scrum-of-Scrums board.Feb 25 2015, 6:55 PM